Bug 888689 - [User Portal] An user with UserRole assigned to a pool does not see pool's VMs
[User Portal] An user with UserRole assigned to a pool does not see pool's VMs
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
Unspecified Unspecified
urgent Severity high
: ---
: 3.2.0
Assigned To: Tomas Jelinek
Jiri Belka
: Regression, Reopened, ZStream
: 896221 (view as bug list)
Depends On:
Blocks: 902341
  Show dependency treegraph
Reported: 2012-12-19 04:08 EST by Jiri Belka
Modified: 2013-06-10 17:29 EDT (History)
15 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
A regression caused the Pools feature to be unusable from the user portal. This update enriches a null check, which allows users to see and use virtual machine pools in the user portal.
Story Points: ---
Clone Of:
: 902341 (view as bug list)
Last Closed: 2013-06-10 17:29:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 294773 None None None Never

  None (edit)
Description Jiri Belka 2012-12-19 04:08:49 EST
Description of problem:

An user with UserRole assigned to a pool does not see pool's VMs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. New pool in Admin Portal (AP)
2. In AP -> Pools -> select pool -> Permissions -> Add --> an user with UserRole
3. Log in as previously defined user into User Portal
Actual results:

An user with UserRole for a pool cannot see/work with pool's VMs.

Expected results:

An user with UserRole for a pool can see/work with pool's VMs.

Additional info:

From docs:

"UserRole - Can access and use virtual machines and pools. - Can log in to the User Portal, use assigned virtual machines and pools, view virtual machine state and details."
Comment 1 Jiri Belka 2012-12-19 04:14:54 EST
FYI, there was similar issue in the past - BZ839490.
Comment 2 Oved Ourfali 2012-12-19 16:12:33 EST
Are you able to see/run the pool itself? From the description above it wasn't clear whether you can't see the pool, or the VMs.

Pools in user portal are shown, but the VMs aren't. Once you run the pool, one VM is assigned to you, and then you see it instead of the pool.

That's the behavior that you should see.
If you don't, then it is a bug.
Comment 3 Jiri Belka 2012-12-20 08:03:27 EST
No, nothing - neither pool nor VMs. Even if I login with 'admin@internal' into UP, i cannot see a pool.
Comment 7 Pavel Stehlik 2013-01-17 10:29:20 EST
*** Bug 896221 has been marked as a duplicate of this bug. ***
Comment 8 Tomas Jelinek 2013-01-17 10:32:21 EST
copy of the comment from the 896221 to have all relevant info on the active bug:

This bug is not connected with upgrade. It is an FE issue which will prevent you from see any VM or pool if you have a pool. 

On U/S it has already been fixed some time ago:
Comment 18 Itamar Heim 2013-01-21 06:49:03 EST
Allan - is a test package relevant to test this fix for the customer you mentioned in bug 896221, comment 6?
Comment 24 Michal Skrivanek 2013-01-24 03:02:58 EST
this bug has been fixed upstream before rebase as 694d9f490bd554b64e41e34530bac5fa74a74a0f.
u/s gerrit: http://gerrit.ovirt.org/#/c/10172/
Comment 27 Jiri Belka 2013-01-28 05:49:58 EST
OK, sf4. For admin@internal issue - BZ904974, for seeing individual pooled VMs when UserRole on whole system - BZ904984.
Comment 30 errata-xmlrpc 2013-06-10 17:29:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.